Package org.gradle.api.tasks

## Interface TaskFilePropertyBuilder

- All Superinterfaces:
    `TaskPropertyBuilder`
  All Known Subinterfaces:
    `TaskInputFilePropertyBuilder`, `TaskOutputFilePropertyBuilder`

      public interface TaskFilePropertyBuilder
      extends TaskPropertyBuilder

  Describes a property of a task that contains zero or more files.
  Since:
    3.1

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `TaskFilePropertyBuilder` | `withPropertyName​(java.lang.String propertyName)` | Sets the name for this property.

- - ### Method Detail

    - #### withPropertyName

          TaskFilePropertyBuilder withPropertyName​(java.lang.String propertyName)

      Sets the name for this property. The name must be a non-empty string.

      If the method is not called, or if it is called with `null`, a name will be assigned to the property automatically.